Debian Bug report logs - #517912
RFP: clewn -- gdb support for the vim editor: breakpoints, watch

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Alexander Galanin <gaa.nnov@mail.ru>

Date: Mon, 2 Mar 2009 21:00:07 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, gaa.nnov@mail.ru, <wnpp@debian.org>:
Bug#517912; Package wnpp. (Mon, 02 Mar 2009 21:00:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Galanin <gaa.nnov@mail.ru>:
New Bug report received and forwarded. Copy sent to gaa.nnov@mail.ru, <wnpp@debian.org>. (Mon, 02 Mar 2009 21:00:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alexander Galanin <gaa.nnov@mail.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: clewn -- gdb support for the vim editor: breakpoints, watch variables, gdb command completion, assembly windows, etc.
Date: Mon, 02 Mar 2009 23:58:43 +0300
Package: wnpp
Severity: wishlist


* Package name    : clewn
  Version         : 1.14
  Upstream Author : Xavier de Gaye <xdegaye@users.sourceforge.net>
* URL             : http://clewn.sourceforge.net/
* License         : GPL
  Programming Lang: C
  Description     : gdb support for the vim editor: breakpoints, watch variables, gdb command completion, assembly windows, etc.

Clewn implements full gdb support in the vim editor: breakpoints, watch
variables, gdb command completion, assembly windows, etc.

Features:

* Breakpoints are highlighted in source code and in the assembly
buffers. The highlighting includes the last two digits of the
breakpoint number so that they can be easily identified. Disabled
breakpoints are noted with a different highlighting color. When
setting a breakpoint, clewn automatically finds the source file for
the breakpoint if it exists, and tells vim to load and display the
file and highlight the line.

* An expression value or a variable value as provided by gdb, is
displayed in a balloon in Vim, when the mouse pointer is hovering over
the selected expression or the variable.

* Assembly buffers hold the assembly code for functions that miss the
source code and are being stepped through, or where breakpoints have
been set. This feature can be enabled by an option of the clewn
command line.

* When there is no debugging information or source files and the
assembly option has been enabled, clewn disassembles the function
containing the breakpoint and vim displays and highlights its line.

* Each time gdb displays a stack frame when the debuggee stops or when
moving along the stack frame, clewn automatically finds the source
file for that frame and tells vim to display the file and highlight
the line. When there is no source code for the frame or when doing
instruction stepping (stepi, nexti) the program counter line within an
assembly window is highlighted if the assembly option has been
enabled.

* Any gdb command can be mapped to a vim key mapping. This allows, for
example, to set or clear a breakpoint, or print a variable's value at
the current cursor or mouse position in a vim window by just hitting a
key.

* You can send an interrupt from vim to gdb and the program it is
running.

* A variable can be dropped and watched in a vim window by pointing the
mouse on the variable in the source code and hitting a key. The
variable's value is updated and highlighted whenever changed. To
remove a variable, just delete it from the vim window with a vim
command or a keystroke.

* Support of gdb command and file name completion. This also works while
entering, in gdb, a gdb user-defined sequence of commands or a list of
commands for a breakpoint. 

-- System Information:
Debian Release: 5.0
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#517912; Package wnpp. (Mon, 09 Mar 2009 21:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Remy Dautriche <remy.dautriche@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 09 Mar 2009 21:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 517912@bugs.debian.org (full text, mbox):

From: Remy Dautriche <remy.dautriche@gmail.com>
To: 517912@bugs.debian.org
Subject: Taking over this RFP
Date: Mon, 9 Mar 2009 22:11:30 +0100
[Message part 1 (text/plain, inline)]
retitle #517912 ITP: clewn -- gdb support for the vim editor: breakpoints, watch variables, gdb command completion, assembly windows, etc.
owner #517912 remy.dautriche@gmail.com
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to `ITP: clewn -- gdb support for the vim editor: breakpoints, watch variables, gdb command completion, assembly windows, etc.' from `RFP: clewn -- gdb support for the vim editor: breakpoints, watch variables, gdb command completion, assembly windows, etc.'. Request was from Remy Dautriche <remy.dautriche@gmail.com> to control@bugs.debian.org. (Mon, 09 Mar 2009 21:27:03 GMT) Full text and rfc822 format available.

Owner recorded as remy.dautriche@gmail.com. Request was from Remy Dautriche <remy.dautriche@gmail.com> to control@bugs.debian.org. (Mon, 09 Mar 2009 21:27:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, remy.dautriche@gmail.com:
Bug#517912; Package wnpp. (Tue, 25 May 2010 17:12:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, remy.dautriche@gmail.com. (Tue, 25 May 2010 17:12:31 GMT) Full text and rfc822 format available.

Message #19 received at 517912@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 517912@bugs.debian.org
Cc: control@bugs.debian.org
Subject: clewn: changing back from ITP to RFP
Date: Tue, 25 May 2010 17:06:34 +0000
retitle 517912 RFP: clewn -- gdb support for the vim editor: breakpoints, watch variables, gdb command completion, assembly windows, etc.
noowner 517912
thanks

Hi,

This is an automatic email to change the status of clewn back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting clewn, please send a mail to
<control@bugs.debian.org> with:

 retitle 517912 ITP: clewn -- gdb support for the vim editor: breakpoints, watch variables, gdb command completion, assembly windows, etc.
 owner 517912 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <517912@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: clewn -- gdb support for the vim editor: breakpoints, watch variables, gdb command completion, assembly windows, etc.' from 'ITP: clewn -- gdb support for the vim editor: breakpoints, watch variables, gdb command completion, assembly windows, etc.' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Tue, 25 May 2010 17:18:55 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by remy.dautriche@gmail.com. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Tue, 25 May 2010 17:18:56 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP:gdb support for the vim editor: breakpoints, watch' from 'RFP: clewn -- gdb support for the vim editor: breakpoints, watch variables, gdb command completion, assembly windows, etc.' Request was from Ankit Gupta <ankitgupta191@gmail.com> to control@bugs.debian.org. (Wed, 13 Apr 2011 09:48:20 GMT) Full text and rfc822 format available.

Owner recorded as Ankit Gupta <ankitgupta191@gmail.com>. Request was from Ankit Gupta <ankitgupta191@gmail.com> to control@bugs.debian.org. (Wed, 13 Apr 2011 09:48:21 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: clewn -- gdb support for the vim editor: breakpoints, watch' from 'ITP:gdb support for the vim editor: breakpoints, watch' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Thu, 23 Feb 2012 04:18:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ankit Gupta <ankitgupta191@gmail.com>:
Bug#517912; Package wnpp. (Mon, 27 May 2013 13:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ankit Gupta <ankitgupta191@gmail.com>. (Mon, 27 May 2013 13:33:04 GMT) Full text and rfc822 format available.

Message #34 received at 517912@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 517912@bugs.debian.org
Cc: control@bugs.debian.org
Subject: clewn: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:11 +0200
retitle 517912 RFP: clewn -- gdb support for the vim editor: breakpoints, watch
noowner 517912
tag 517912 - pending
thanks

Hi,

This is an automatic email to change the status of clewn back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting clewn, please send a mail to
<control@bugs.debian.org> with:

 retitle 517912 ITP: clewn -- gdb support for the vim editor: breakpoints, watch
 owner 517912 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <517912@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: clewn -- gdb support for the vim editor: breakpoints, watch' from 'ITP: clewn -- gdb support for the vim editor: breakpoints, watch' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:04:43 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Ankit Gupta <ankitgupta191@gmail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:04:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:58:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.